Vulnerability CVE-2020-7596


Published: 2020-01-25

Description:
Codecov npm module before 3.6.2 allows remote attackers to execute arbitrary commands via the "gcov-args" argument.

Type:

CWE-74

CVSS2 => (AV:N/AC:L/Au:S/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.5/10
6.4/10
8/10
Exploit range
Attack complexity
Authentication
Remote
Low
Single time
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Codecov -> Nodejs uploader 

 References:
https://snyk.io/vuln/SNYK-JS-CODECOV-543183

Copyright 2020, cxsecurity.com

 

Back to Top